Bug 170798 - Review Request: libeXosip2 - A library that hides the complexity of using the SIP protocol
Review Request: libeXosip2 - A library that hides the complexity of using the...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-10-14 12:01 EDT by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-24 16:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2005-10-14 12:01:37 EDT
Spec Name or Url: http://www.ocjtech.us/libeXosip2-1.9.1-0.1.pre16.spec
SRPM Name or Url: http://www.ocjtech.us/libeXosip2-1.9.1-0.1.pre16.src.rpm
A library that hides the complexity of using the SIP protocol for
mutlimedia session establishement. This protocol is mainly to be used
by VoIP telephony applications (endpoints or conference server) but
might be also useful for any application that wish to establish
sessions like multiplayer games.

Builds in mock on i386/devel and using plain ol' rpmbuild on x86_64/fc4.

This is my first attempt at submitting something to FE, so please be gentle :).
Comment 1 Aurelien Bompard 2005-10-16 05:28:07 EDT
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u}
-n) (wiki: PackagingGuidelines#BuildRoot)
* You build the doxygen documentation but you don't include it in the package.
Please add it to the -devel package (with a %doc tag).
* In the spec file, %makeinstall should be replaced by "make install
* In the files list, "%dir %{_includedir}/eXosip2" is redundant (covered by the
next line)

A few questions:
* Do you want this lib included for an application in particular ?
* Why use the prerelease version instead of the stable 1.9.0 ?
Comment 2 Jeffrey C. Ollie 2005-10-17 10:22:48 EDT
New spec/srpm with problems pointed out by Aurelien fixed:

Spec Name or Url: http://www.ocjtech.us/libeXosip2-1.9.1-0.2.pre16.spec
SRPM Name or Url: http://www.ocjtech.us/libeXosip2-1.9.1-0.2.pre16.src.rpm

I plan on eventually packaging OpenPBX when it is stable.  OpenPBX is a fork of
Asterisk and includes a new SIP channel that uses eXoSIP2, oSIP (already in
extras), oRTP (already in extras).  The prerelease is the one specified by the
author of the new channel.
Comment 3 Aurelien Bompard 2005-10-22 03:34:09 EDT
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot), you forgot the -n at the end.

* From /usr/include/eXosip2/eXosip.h, I would say that libeXosip2-devel
  requires libosip2-devel (it includes files from /usr/include/osipparser2/)
Comment 4 Jeffrey C. Ollie 2005-10-23 22:41:07 EDT
New spec/srpm with issues from comment #3 fixed:

Spec Name or Url: http://www.ocjtech.us/libeXosip2-1.9.1-0.3.pre16.spec
SRPM Name or Url: http://www.ocjtech.us/libeXosip2-1.9.1-0.3.pre16.src.rpm
Comment 5 Aurelien Bompard 2005-10-24 05:10:01 EDT
Review for release 0.3.pre16:
* RPM name is OK
* Source libeXosip2-1.9.1-pre16.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of libeXosip2 looks OK
* rpmlint of libeXosip2-devel looks OK
* File list of libeXosip2 looks OK
* File list of libeXosip2-devel looks OK
* Included binary sip_reg works.

Minor nitpick: after or before install, remove the INSTALL file from the %doc
list, it's useless (since we use a package).

Note You need to log in before you can comment on or make changes to this bug.